# Copyright (c) 2021, InfluxFramework LLC
# License: MIT. See LICENSE
import json

import influxframework
from influxframework import _

from payments.payment_gateways.doctype.paytm_settings.paytm_settings import (
	get_paytm_config,
	get_paytm_params,
)


def get_context(context):
	context.no_cache = 1
	paytm_config = get_paytm_config()

	try:
		doc = influxframework.get_doc("Integration Request", influxframework.form_dict["order_id"])

		context.payment_details = get_paytm_params(
			json.loads(doc.data), doc.name, paytm_config
		)

		context.url = paytm_config.url

	except Exception:
		influxframework.log_error()
		influxframework.redirect_to_message(
			_("Invalid Token"),
			_("Seems token you are using is invalid!"),
			http_status_code=400,
			indicator_color="red",
		)

		influxframework.local.flags.redirect_location = influxframework.local.response.location
		raise influxframework.Redirect
